Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163527 - [PATCH] cvt_cyrusdb_all doesn't detect skiplist
Summary: [PATCH] cvt_cyrusdb_all doesn't detect skiplist
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-imapd
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Rockai
QA Contact: Brian Brock
URL:
Whiteboard:
: 175550 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-18 16:41 UTC by Charles Lopes
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 2.3.1-2.6.fc5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-11 14:34:46 UTC


Attachments (Terms of Use)
Patch to fix detection of skiplist files in cvt_cyrusdb_all (deleted)
2005-07-18 16:41 UTC, Charles Lopes
no flags Details | Diff

Description Charles Lopes 2005-07-18 16:41:54 UTC
Created attachment 116878 [details]
Patch to fix detection of skiplist files in cvt_cyrusdb_all

Comment 1 Charles Lopes 2005-07-18 16:41:54 UTC
Description of problem:
The script cvt_cyrusdb_all isn't able to detect skiplist files and this can lead
to some db corruptions when changing the backend of some of the db files. This
is due to "file" incorrectly identifying skiplist files as quicktime files. This
is easily corrected by telling "file" to use the cyrus magic file before using
the system one.

Comment 2 Petr Rockai 2006-05-12 11:14:53 UTC
*** Bug 175550 has been marked as a duplicate of this bug. ***

Comment 3 Matthew Miller 2006-07-10 21:28:56 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 4 Charles Lopes 2006-08-11 14:34:46 UTC
This is fixed in cyrus imap 2.3.1 in FE5:

# v1.0.14, Jul 18 2005 Simon Matter <simon.matter@invoca.ch>
# - replace the order of the magic files in the file call to make
#   sure skiplist is detected correctly.
#



Note You need to log in before you can comment on or make changes to this bug.